# This file is automatically generated by update-modules, please do not
# edit it directly.
# If you want to change or add anything here please read /etc/modprobe.conf,
# the files in /etc/modprobe.d/ and the manpage for update-modules(8).
#


### update-modules: start processing arch/i386 ###
alias block-major-2 floppy
alias block-major-13 xd
alias block-major-15 cdu31a
alias block-major-16 gscd
alias block-major-17 optcd
alias block-major-18 sjcd
alias block-major-20 mcdx
alias block-major-23 mcd
alias block-major-24 sonycd535
alias block-major-25 sbpcd
alias block-major-26 sbpcd
alias block-major-27 sbpcd
alias block-major-29 aztcd
alias block-major-32 cm206

alias char-major-4 8250
alias char-major-5 8250
alias char-major-6 lp
alias char-major-10-130 wdt
alias char-major-10-131 wdt
alias char-major-14 soundcore

alias parport_lowlevel parport_pc

alias binfmt-0064 binfmt_aout
alias binfmt-332 iBCS


### update-modules: end processing arch/i386 ###

### update-modules: start processing aliases ###
# These are the standard aliases for devices and kernel drivers.
# This file does not need to be modified.
#
# Please file a bug against module-init-tools if a package needs a entry
# in this file.

# network protocols ##########################################################
alias net-pf-1  unix
alias net-pf-2  ipv4
alias net-pf-3  ax25
alias net-pf-4  ipx
alias net-pf-5  appletalk
alias net-pf-6  netrom
alias net-pf-7  bridge
alias net-pf-8  atm
alias net-pf-9  x25
alias net-pf-10 off # ipv6
alias net-pf-11 rose
alias net-pf-12 decnet
# 13 NETBEUI
alias net-pf-15 af_key
alias net-pf-16 af_netlink
alias net-pf-17 af_packet
# 18 ASH
alias net-pf-19 af_econet
alias net-pf-20 atm
# 22 SNA
alias net-pf-23 irda
alias net-pf-24 pppoe
alias net-pf-25 wanrouter
alias net-pf-26 llc
alias net-pf-31 bluetooth

# executables formats ########################################################
install binfmt-0000 /bin/true
alias binfmt-204 binfmt_aout
alias binfmt-263 binfmt_aout
alias binfmt-264 binfmt_aout
alias binfmt-267 binfmt_aout
alias binfmt-387 binfmt_aout

# block devices ##############################################################
alias block-major-1  rd
alias block-major-3  ide-probe-mod
alias block-major-7  loop
alias block-major-8  sd_mod
alias block-major-9  md
alias block-major-11 sr_mod
alias block-major-22 ide-probe-mod
alias block-major-33 ide-probe-mod
alias block-major-34 ide-probe-mod
alias block-major-37 ide-tape
alias block-major-44 ftl
alias block-major-46 pcd
alias block-major-47 pf
alias block-major-56 ide-probe-mod
alias block-major-57 ide-probe-mod
alias block-major-58 lvm-mod
alias block-major-88 ide-probe-mod
alias block-major-89 ide-probe-mod
alias block-major-90 ide-probe-mod
alias block-major-91 ide-probe-mod
alias block-major-93 nftl
alias block-major-97 pg

# character devices ##########################################################
alias char-major-9 st
install char-major-10 /bin/true
# ???
alias char-major-10-1 psmouse
alias char-major-10-134 apm
alias char-major-10-135 rtc
alias char-major-10-139 openprom
alias char-major-10-144 nvram
alias char-major-10-157 applicom
alias char-major-10-175 agpgart
alias char-major-10-181 toshiba
alias char-major-10-184 microcode
alias char-major-10-187 irnet
alias char-major-10-189 ussp
alias char-major-10-200 tun
alias char-major-10-250 hci_vhci
alias char-major-13 input
alias char-major-13-0  joydev
alias char-major-13-1  joydev
alias char-major-13-2  joydev
alias char-major-13-3  joydev
alias char-major-13-32 mousedev
alias char-major-13-33 mousedev
alias char-major-13-34 mousedev
alias char-major-13-35 mousedev
alias char-major-13-63 mousedev
alias char-major-13-64 evdev
alias char-major-13-65 evdev
alias char-major-13-66 evdev
alias char-major-13-67 evdev
alias char-major-19 cyclades
alias char-major-20 cyclades
alias char-major-21 sg
alias char-major-22 pcxx
alias char-major-23 pcxx
alias char-major-27 ftape
alias char-major-34 scc
alias char-major-35 tclmidi
alias char-major-37 ide-tape
alias char-major-48 riscom8
alias char-major-49 riscom8
alias char-major-57 esp
alias char-major-58 esp
alias char-major-63 kdebug
alias char-major-67 coda
alias char-major-75 specialix
alias char-major-76 specialix
alias char-major-81 videodev
alias char-major-83 vtx
alias char-major-89 i2c-dev
alias char-major-90 mtdchar
alias char-major-96 pt
alias char-major-97 pg
alias char-major-99 ppdev
alias char-major-107 3dfx
alias char-major-108 ppp_generic
alias char-major-109 lvm-mod
alias char-major-116 snd
alias char-major-161 ircomm-tty
alias char-major-166 cdc_acm
alias char-major-171 raw1394
alias char-major-180 usbcore
alias char-major-180-48 scanner
alias char-major-195 nvidia
alias char-major-200 vxspec
alias char-major-202 msr
alias char-major-203 cpuid
alias char-major-206 osst
alias char-major-208 ussp
alias char-major-227 tub3270
#alias char-major-240 usb-serial
#alias char-major-240 hsfserial
#alias char-major-241 hsfserial

# TTY line disciplines #######################################################
alias tty-ldisc-1  slip
alias tty-ldisc-2  serport
alias tty-ldisc-3  ppp_async  
alias tty-ldisc-5  mkiss
alias tty-ldisc-6  x25
alias tty-ldisc-7  6pack
alias tty-ldisc-11 irtty
alias tty-ldisc-13 n_hdlc
alias tty-ldisc-14 ppp_synctty
alias tty-ldisc-15 hci_uart

# IrDA serial dongles ########################################################
alias irda-dongle-0  tekram
alias irda-dongle-1  esi
alias irda-dongle-2  actisys
alias irda-dongle-3  actisys
alias irda-dongle-4  girbil
alias irda-dongle-5  litelink
alias irda-dongle-6  airport
alias irda-dongle-7  old_belkin
alias irda-dongle-8  ep7211_ir
alias irda-dongle-9  mcp2120
alias irda-dongle-10 act200l
alias irda-dongle-11 ma600

# misc #######################################################################
alias md-personality-1 linear
alias md-personality-2 raid0
alias md-personality-3 raid1
alias md-personality-4 raid5
alias md-personality-7 multipath

alias ppp-compress-18 ppp_mppe
alias ppp-compress-21 bsd_comp   
alias ppp-compress-24 ppp_deflate
alias ppp-compress-26 ppp_deflate

alias xfrm-type-2-50 esp4
alias xfrm-type-2-51 ah4
alias xfrm-type-2-108 ipcomp
alias xfrm-type-10-50 esp6
alias xfrm-type-10-51 ah6
alias xfrm-type-10-108 ipcomp6

alias bt-proto-0 l2cap
alias bt-proto-2 sco
alias bt-proto-3 rfcomm
alias bt-proto-4 bnep
alias bt-proto-5 cmtp

alias cipcb0 cipcb
alias cipcb1 cipcb
alias cipcb2 cipcb
alias cipcb3 cipcb
alias dummy0 dummy
alias dummy1 dummy
alias plip0 plip
alias plip1 plip
alias slip0 slip
alias slip1 slip
alias tunl0 ipip

alias usbdevfs usbcore

alias iso9660 isofs


### update-modules: end processing aliases ###

### update-modules: start processing alsa ###
### DEBCONF MAGIC
# This file was automatically generated by alsa-base's debconf stuff

alias char-major-116 snd
alias char-major-14 soundcore

options snd major=116 cards_limit=4

alias sound-service-0-0 snd-mixer-oss
alias sound-service-0-1 snd-seq-oss
alias sound-service-0-3 snd-pcm-oss
alias sound-service-0-8 snd-seq-oss
alias sound-service-0-12 snd-pcm-oss
alias /dev/dsp* snd-pcm-oss



### update-modules: end processing alsa ###

### update-modules: start processing crypto ###
# Crypto modules (see http://www.kerneli.org/)
alias loop-xfer-gen-0	loop_gen
alias loop-xfer-3	loop_fish2
alias loop-xfer-gen-10	loop_gen
alias cipher-2		des
alias cipher-3		fish2
alias cipher-4		blowfish
alias cipher-6		idea
alias cipher-7		serp6f
alias cipher-8		mars6
alias cipher-11		rc62
alias cipher-15		dfc2
alias cipher-16		rijndael
alias cipher-17		rc5

### update-modules: end processing crypto ###

### update-modules: start processing hardware ###
alias sound-slot-0 snd-intel8x0
alias eth0 8139too
alias usb-controller usb-uhci

### update-modules: end processing hardware ###
